<?php

namespace App\Http\Business;
use App\Http\Business\Commands\AbstractCommand;
use App\Http\DBO\CommandsDbo;
use App\Http\DBO\CommandTypesDbo;

/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/23/15
 * Time: 11:59 PM
 */
class CommandsBusiness
{
    public static function exec(CommandsDbo $command, CommandTypesDbo $type)
    {
        /**
         * @var $cmd AbstractCommand
         */
        $class = $type->getClass();
        $cmd = new $class($command);
        return $cmd->exec();
    }
}