<?php

namespace App\Http\Business;

use app\Http\Business\Camera\AbstractCamera;
use App\Http\DBO\CamerasDbo;
use app\Http\DBO\CamerasImageDbo;
use App\Http\DBO\CameraTypesDbo;

/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/23/15
 * Time: 11:59 PM
 */
class CamerasBusiness
{
    /**
     * @param CamerasDbo $camera
     * @param CameraTypesDbo $type
     * @return CamerasImageDbo
     */
    public static function getImage(CamerasDbo $camera, CameraTypesDbo $type)
    {
        /**
         * @var $sens AbstractCamera
         */
        $class = $type->getClass();
        $sens = new $class($camera);
        return $sens->getImage();
    }
}