<?php
/**
 * Created by PhpStorm.
 * User: robin
 * Date: 11/24/15
 * Time: 12:45 AM
 */

namespace App\Http\Business\Sensors;

use App\Http\DBO\SensorsDbo;
use app\Http\DBO\SensorsValueDbo;

abstract class AbstractSensor
{
    /**
     * @var SensorsDbo
     */
    protected $_sensor;

    public function __construct(SensorsDbo $sensor)
    {
        $this->_sensor = $sensor;
    }

    /**
     * @return SensorsValueDbo
     */
    public abstract function getValue();
}